import request from '@/utils/request'

// 查询cmc耗材发放列表
export function listMaterialGive(query) {
  return request({
    url: '/oa/materialGive/list',
    method: 'get',
    params: query
  })
}

// 查询cmc耗材发放详细
export function getMaterialGive(giveId) {
  return request({
    url: '/oa/materialGive/' + giveId,
    method: 'get'
  })
}

// 新增cmc耗材发放
export function addMaterialGive(data) {
  return request({
    url: '/oa/materialGive',
    method: 'post',
    data: data
  })
}

// 修改cmc耗材发放
export function updateMaterialGive(data) {
  return request({
    url: '/oa/materialGive',
    method: 'put',
    data: data
  })
}

// 删除cmc耗材发放
export function delMaterialGive(giveId) {
  return request({
    url: '/oa/materialGive/' + giveId,
    method: 'delete'
  })
}
